dbXML API

## org.dbxml.core.corba.db
Class DatabaseManagerPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DatabaseManagerPOA
                  |
                  +--org.dbxml.core.corba.db.DatabaseManagerPOATie

All Implemented Interfaces:
  DatabaseManagerOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DatabaseManagerPOATie
extends DatabaseManagerPOA

Generated from IDL definition of interface "DatabaseManager"

Author:
  JacORB IDL compiler

Constructor Summary
`DatabaseManagerPOATie(DatabaseManagerOperations delegate)`
`DatabaseManagerPOATie(DatabaseManagerOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`DatabaseManagerOperations` `_delegate()`
`void` `_delegate(DatabaseManagerOperations delegate)`
`DatabaseManager` `_this()`
`DatabaseManager` `_this(org.omg.CORBA.ORB orb)`
`java.lang.String` `getName()`
`void` `remove()`
`void` `shutdown()`

Methods inherited from class org.dbxml.core.corba.db.DatabaseManagerPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseManagerPOATie

    public DatabaseManagerPOATie(DatabaseManagerOperations delegate)

### DatabaseManagerPOATie

    public DatabaseManagerPOATie(DatabaseManagerOperations delegate,
                                 org.omg.PortableServer.POA poa)

Method Detail

### _this

    public DatabaseManager _this()

  Overrides:
    `_this` in class `DatabaseManagerPOA`

### _this

    public DatabaseManager _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `DatabaseManagerPOA`

### _delegate

    public DatabaseManagerOperations _delegate()

### _delegate

    public void _delegate(DatabaseManagerOperations delegate)

### remove

    public void remove()

### shutdown

    public void shutdown()

### getName

    public java.lang.String getName()
                             throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved